import { createVNode as __WEBPACK_EXTERNAL_MODULE_vue_createVNode__, h as __WEBPACK_EXTERNAL_MODULE_vue_h__, mergeProps as __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__ } from "vue";

;// external "vue"

;// ../../node_modules/@babel/runtime/helpers/esm/typeof.js
function _typeof(o) {
  "@babel/helpers - typeof";

  return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) {
    return typeof o;
  } : function (o) {
    return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o;
  }, _typeof(o);
}

;// ../../node_modules/@babel/runtime/helpers/esm/toPrimitive.js

function toPrimitive(t, r) {
  if ("object" != _typeof(t) || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r || "default");
    if ("object" != _typeof(i)) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}

;// ../../node_modules/@babel/runtime/helpers/esm/toPropertyKey.js


function toPropertyKey(t) {
  var i = toPrimitive(t, "string");
  return "symbol" == _typeof(i) ? i : i + "";
}

;// ../../node_modules/@babel/runtime/helpers/esm/defineProperty.js

function _defineProperty(e, r, t) {
  return (r = toPropertyKey(r)) in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[r] = t, e;
}

;// ../../node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js
function _objectWithoutPropertiesLoose(r, e) {
  if (null == r) return {};
  var t = {};
  for (var n in r) if ({}.hasOwnProperty.call(r, n)) {
    if (-1 !== e.indexOf(n)) continue;
    t[n] = r[n];
  }
  return t;
}

;// ../../node_modules/@babel/runtime/helpers/esm/objectWithoutProperties.js

function _objectWithoutProperties(e, t) {
  if (null == e) return {};
  var o,
    r,
    i = _objectWithoutPropertiesLoose(e, t);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]);
  }
  return i;
}

;// ../../packages/icon/icons/icon.tsx



var _excluded = ["data", "name", "width", "height", "fill"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
/*
 * Tencent is pleased to support the open source community by making
 * 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition) available.
 *
 * Copyright (C) 2025 Tencent.  All rights reserved.
 *
 * 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition) is licensed under the MIT License.
 *
 * License for 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition):
 *
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of
 * the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

function generate(node, key, rootAttrs) {
  return __WEBPACK_EXTERNAL_MODULE_vue_h__(node.name, _objectSpread(_objectSpread({
    key: key
  }, node.attributes), {}, {
    style: "".concat(node.attributes.style, " ").concat(rootAttrs || '')
  }), (node.elements || []).map(function (element, index) {
    return generate(element, "".concat(key, "-").concat(node.name, "-").concat(index));
  }));
}
var bkIcon = function bkIcon(props, context) {
  var _context$attrs$props = _objectSpread(_objectSpread({}, context.attrs), props),
    data = _context$attrs$props.data,
    name = _context$attrs$props.name,
    width = _context$attrs$props.width,
    height = _context$attrs$props.height,
    fill = _context$attrs$props.fill,
    restProps = _objectWithoutProperties(_context$attrs$props, _excluded);
  var rootAttrs = "width: ".concat(width, "; height: ").concat(height, "; fill: ").concat(fill);
  var iconBoxStyle = {
    display: 'inline-flex',
    'align-items': 'center',
    'justify-content': 'center'
  };
  return __WEBPACK_EXTERNAL_MODULE_vue_createVNode__("span", __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__({
    "style": iconBoxStyle
  }, restProps), [generate(data, name, rootAttrs)]);
};
bkIcon.inheritAttrs = false;
bkIcon.displayName = 'bkIcon';
/* harmony default export */ const icon = (bkIcon);
;// ../../packages/icon/icons/upload.tsx


function upload_ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function upload_objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? upload_ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : upload_ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

var data = JSON.parse('{"type":"element","name":"svg","attributes":{"xmlns":"http://www.w3.org/2000/svg","class":"bk-icon","style":"width: 1em; height: 1em; vertical-align: middle;fill: currentColor;overflow: hidden;","overflow":"hidden","viewBox":"0 0 1024 1024"},"elements":[{"type":"element","name":"path","attributes":{"d":"M897.6 422.4c-27.2-27.2-62.4-48-100.8-57.6C768 209.6 619.2 104 462.4 131.2c-120 20.8-212.8 115.2-233.6 233.6C131.2 388.8 64 475.2 64 574.4v9.6C64 704 160 800 278.4 800H320v-64h-41.6C195.2 736 128 668.8 128 585.6v-9.6c0-83.2 67.2-150.4 150.4-150.4H288c0-3.2 0-4.8 0-8l0 0c0-1.6 0-3.2 0-4.8v-1.6c0-1.6 0-3.2 0-4.8 0 0 0 0 0-1.6 0-1.6 0-3.2 0-4.8v-1.6c0-1.6 0-3.2 0-3.2 0-1.6 0-1.6 0-3.2 0 0 0-1.6 0-1.6 1.6-9.6 3.2-20.8 6.4-30.4l0 0c30.4-120 153.6-192 272-161.6 78.4 20.8 140.8 81.6 161.6 161.6l0 0c3.2 9.6 4.8 20.8 4.8 30.4 0 0 0 1.6 0 1.6 0 0 0 1.6 0 3.2 0 1.6 0 3.2 0 3.2V400c0 1.6 0 3.2 0 3.2v1.6c0 1.6 0 3.2 0 4.8v1.6c0 1.6 0 3.2 0 4.8l0 0c0 3.2 0 4.8 0 8h9.6c83.2-1.6 152 65.6 153.6 148.8 0 1.6 0 1.6 0 3.2v9.6c0 83.2-67.2 150.4-150.4 150.4l0 0H704v64h41.6C864 800 960 704 960 585.6v-9.6C960 518.4 937.6 464 897.6 422.4z"}},{"type":"element","name":"path","attributes":{"d":"M376 603.2L420.8 648 480 588.8 480 896 544 896 544 588.8 603.2 648 648 603.2 512 467.2z"}}]}');
var upload = function upload(props, context) {
  var p = upload_objectSpread(upload_objectSpread({}, props), context.attrs);
  return __WEBPACK_EXTERNAL_MODULE_vue_createVNode__(icon, __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__(p, {
    "data": data,
    "name": "upload"
  }), null);
};
upload.displayName = 'upload';
upload.inheritAttrs = false;
/* harmony default export */ const icons_upload = (upload);
export { icons_upload as default };
